Subject: RE: [idn] Re: IDNA problem statement

From: "Michel Suignard" <[email-masked]>
Date: Tue, 15 Oct 2002 18:11:58 -0700

See my feedback below concerning 10646 and Unicode

Michel Suignard

> -----Original Message-----
> From: John C Klensin [mailto:[email-masked]] 

> --On Tuesday, 15 October, 2002 18:37 +0200 Keld Jørn Simonsen 
> <[email-masked]> wrote:
> 
> > On Tue, Oct 15, 2002 at 06:06:26PM +0200, Erik Nordmark wrote:
> >> > I would still like it to be called the ISO 10646 repertoire.
> >> 
> >> Doing that change to this added text would be very odd given that 
> >> that the rest of the document has no mention of ISO 10646. Thus I 
> >> think consistency is the overriding concern here.
> > 
> > Is that not a major change from IETF policy? We should mention ISO 
> > standards when they are applicable.
> 
> Keld, this is an old argument in the IDN WG, and I think ISO 
> basically decided to lose it a year or two ago.  While, I, 
> too, prefer to reference ISO standards where possible, the 
> situation here is that the IDN effort needed both a character 
> and code point repertoire and a collection of norms about how 
> those code points were to be used, compared, etc.  My 
> preference, and I think that of the IETF generally, would 
> have been to reference ISO Standards for all of this but, as 
> you know, the complementary "usage" standards did not follow 
> the code point ones.  Even where TRs exist, ISO generally 
> doesn't like having its TRs referenced normatively. 
> 
> We approached ISO about the problem of the missing standards 
> at the JTC1 level and stressed that, if they couldn't respond 
> usefully and fairly quickly, we would have to rely on UTC.  
> We didn't get a response for a long time, and then, in my 
> opinion, were brushed off.  And you are all-too-aware what 
> happened when we tried to work something with SC22... from my 
> perspective, not only did we not get active cooperation, we 
> were deliberately insulted by their "agreeing" to something 
> we had previously told them (formally and informally) we 
> would not accept.  While this was going on, the Unicode folks 
> were actively working with the WG, inviting IETF 
> participation in their meetings and in liaisons with on their 
> Board, and trying to be responsive to our needs in their 
> ongoing work.  I think they are entitled to recognition for 
> those efforts, including having their preferred name for the 
> CCS and associated materials used.  And, if JTC1 wants to 
> isolate themselves from the Internet in this area, and to 
> hint that they are doing so because the IETF is just not 
> important enough to deal with on a peer basis, I don't see 
> any reason to respond by advertising the relevant ISO 
> Standard in more than a footnote.

The ISO working group in charge of ISO 10646 (SC2/WG2) is working fairly harmoniously with the Unicode Consortium and in fact as time goes more and more normative references to Unicode based 'usage standards' have been added to ISO 10646. The 1st amendment to 10646-1 2000 references the Unicode bidi algorithm and the 2nd amendment (being balloted now) proposes to reference the Unicode normalization technical report. And many more informative references already exists. Instead of duplicating efforts, most WG2 experts have agreed long time ago to use the work already done by the Unicode consortium.

Basically I don't see the situation as dire as portraited here. In this precise matter, at least one leg of ISO is working well with a consortium. And I would also favor keeping the Unicode references in the IDNA document, if not for other reason than to keep the IDNA document stable. And the combination of work done by the UTC and the SC2/WG2 is well serving the IETF community.

> 
> Just my opinion, of course.  But, if my analysis is correct 
> or rings true, the problem you are addressing needs to be 
> raised within JTC1, not in this working group or over these documents.
> 
>     john
> 
> 
>